Bug 817270 - Review Request: python-spiffgtkwidgets - Collection of useful Gtk widgets
Review Request: python-spiffgtkwidgets - Collection of useful Gtk widgets
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
: 713149 (view as bug list)
Depends On:
Blocks: 817271 818805
  Show dependency treegraph
 
Reported: 2012-04-28 09:35 EDT by Alec Leamas
Modified: 2012-05-07 16:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-07 16:14:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rbean: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alec Leamas 2012-04-28 09:35:38 EDT
Spec URL: http://dl.dropbox.com/u/17870887/python-spiffgtkwidgets-0.2.0-2/python-spiffgtkwidgets.spec
SRPM URL: http://dl.dropbox.com/u/17870887/python-spiffgtkwidgets-0.2.0-2/python-spiffgtkwidgets-0.2.0-2.59a713f.fc16.src.rpm
Description: 
Spiff Gtk Widgets provides a collection of Gtk widgets
- An annotated text view and a calendar similar to Google's online calendar.

rpmlint:
python-spiffgtkwidgets.spec: W: invalid-url Source0: knipknap-SpiffGtkWidgets-59a713f.tar.gz
- Should be OK, is properly commented.

This is a dependency for an upcoming request for openerp-server
Comment 1 Alec Leamas 2012-04-28 09:55:06 EDT
*** Bug 713149 has been marked as a duplicate of this bug. ***
Comment 2 Ralph Bean 2012-05-04 11:03:01 EDT
I'll take this one.
Comment 3 Ralph Bean 2012-05-04 16:39:11 EDT
You could fix the rpmlint invalid-url warning by changing the following two things.  Set Source0 like

    Source0:    https://github.com/knipknap/SpiffGtkWidgets/tarball/%{git}

and add the following line before %setup in %prep

    %{__mv} %{git} knipknap-SpiffGtkWidgets-%{git}.tar.gz

---- That is optional, though.  Package is APPROVED.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
Package has no sources or they are generated by developer
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0: knipknap-SpiffGtkWidgets-%{git}.tar.gz (knipknap-
     SpiffGtkWidgets-%{git}.tar.gz)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.
Comment 4 Alec Leamas 2012-05-05 12:29:29 EDT
Thanks for review. Tried the URL trick, no success. But thanks!


New Package SCM Request
=======================
Package Name: python-spiffgtkwidgets 
Short Description: Collection of useful Gtk widgets
Owners: foo leamas
Branches: f16 f17
InitialCC:
Comment 5 Gwyn Ciesla 2012-05-06 17:01:42 EDT
Git done (by process-git-requests).

Removed "foo", not a valid FAS account. :)
Comment 6 Alec Leamas 2012-05-07 16:14:13 EDT
Built OK on F16, f17 & rawhide

Note You need to log in before you can comment on or make changes to this bug.